{# Default section.html template #}

{% extends "base.html" %}

{% block seo %}
  {{ super() }}
  {% set title_addition = "" %}
  
  {% if section.title and config.title %}
    {% set title = section.title %}
    {% set title_addition = title_separator ~ config.title %}
  {% elif section.title %}
    {% set title = section.title %}
  {% else %}
    {% set title = config.title %}
  {% endif %}
  
  {% if section.description %}
    {% set description = section.description %}
  {% else %}
    {% set description = config.description %}
  {% endif %}
  
  {{ macros_head::seo(title=title, title_addition=title_addition, description=description) }}
{% endblock seo %}

{% block body %}
  {% set page_class = "docs list" %}
{% endblock body %}

{% block content %}
<div class="wrap container" role="document">
  <div class="content">
    <div class="row justify-content-center">
      <div class="col-md-12 col-lg-10 col-xxl-8">
        <article>
          <h1 class="text-center">{{ section.title }}</h1>
          <div class="text-center">{{ section.content | safe }}</div>
          <div class="card-list">
            {% set index_path = current_path ~ "_index.md" | trim_start_matches(pat="/") %}
            {% set index = get_section(path=index_path) %}
            {% for page in index.pages %}
              <div class="card my-3">
                <div class="card-body">
                  <a class="stretched-link" href="{{ page.permalink }}">{{ page.title }} &rarr;</a>
                </div>
              </div>
            {% endfor %}
            {% for s in index.subsections %}
              {% set subsection = get_section(path=s) %}
              {% if subsection.pages %}
                {% for page in subsection.pages %}
                <div class="card my-3">
                  <div class="card-body">
                    <a class="stretched-link" href="{{ page.permalink }}">{{ page.title }} &rarr;</a>
                  </div>
                </div>
                {% endfor %}                                    
              {% endif %}
            {% endfor %}
          </div>
        </article>
      </div>
    </div>
  </div>
</div>
{% endblock content %}
